/** 
 *  _   _        _  _                           _             
 * | |_| |  ___ | || |  ___   __ _  _ __  _ __ (_)  ___  _ __ 
 * |  _  | / _ \| || | / __| / _` || '__|| '__|| | / _ \| '__|
 * | | | ||  __/| || || (__ | (_| || |   | |   | ||  __/| |   
 * |_| |_| \___||_||_| \___| \__,_||_|   |_|   |_| \___||_|   
 * 
 *  (c) 2001 Free Lunch Design, Teknisk-IT, AerotechTelub
 *			  http://www.freelunchdesign.com
 * 
 * This source code is released as is under GPL (General Public
 * License). Please refer to license.txt for more information.
 * 
 */
 
#ifndef _SCENERY_H_
#define _SCENERY_H_

#include "allegro.h"
#include "mission.h"
#include "scenery.h"

#define MAT_WOOD	1
#define MAT_STONE	2
#define MAT_METAL	3

#define SCEN_SMALL	1
#define SCEN_MED	2
#define SCEN_BIG	3

class scenery : public object {

public:
	int material;
	int size;

	scenery();
	~scenery();

	void to_string(char *str);
	bool add_object(object *o) { return FALSE; };
	void empty(mission *m) {};
	void evaluate_AI() {};
	void props_dialog(DATAFILE *df);
	void save(PACKFILE *fp);
	void load(PACKFILE *fp);
	void draw(BITMAP *bmp, DATAFILE *gfx, fixed ca, bool shadow);
	void set_from_file(char* fname);
};


#endif